Bug 236183 - www/eolie: a new GNOME web browser
Summary: www/eolie: a new GNOME web browser
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-03 14:33 UTC by rozhuk.im
Modified: 2020-12-01 03:37 UTC (History)
3 users (show)

See Also:


Attachments
new browser (7.80 KB, patch)
2019-03-03 14:33 UTC, rozhuk.im
no flags Details | Diff
0.9.61 (7.80 KB, patch)
2019-05-02 19:40 UTC, rozhuk.im
rozhuk.im: maintainer-approval?
Details | Diff
remove annoing dep (1.61 KB, patch)
2020-12-01 03:19 UTC, rozhuk.im
rozhuk.im: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rozhuk.im 2019-03-03 14:33:38 UTC
Created attachment 202522 [details]
new browser

Features:
* Adblock and more: Block ads, js, popups and phishing URLs.
* Navigation profiles
* Firefox sync: Allow you to sync your bookmarks, history and passwords with Firefox.
* Fullscreen view: Fullscreen content access.
* Download images/videos: Download all medias from a webpage.
* Private browsing: Do not leave information on the web. Per page private browsing.
* Reader view: Clutter-free web pages.
* Smart search bar: Search for bookmarks, history or the web from the same place.
* Docking your laptop with a 4K screen? Eolie remember default zoom level per screen.

WWW: https://wiki.gnome.org/Apps/Eolie
Comment 1 Tobias Kortkamp freebsd_committer 2019-04-04 05:21:26 UTC
- You can never depend on lang/python3 directly.  Use
  BINARY_ALIAS=python3=${PYTHON_CMD} instead [1].

- Are you sure that USES=python:3.6+,build is right?  The port
  installs a bunch of Python files and has Python dependencies.
  Surely Python is needed at runtime too.

- Bad COMMENT [2]

- All of the USE_GITLAB stuff is too complicated and not needed.
  There are proper release tarballs at [3], i.e. eolie-0.9.52.tar.xz

- This could use an update to 0.9.60

- Maybe add yourself as maintainer

[1] https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/binary-alias.html#binary-alias-ex2
[2] https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/makefile-comment.html
[3] https://gitlab.gnome.org/World/eolie/releases
Comment 2 rozhuk.im 2019-05-02 19:40:56 UTC
Created attachment 204170 [details]
0.9.61
Comment 3 rozhuk.im 2019-05-02 19:45:09 UTC
(In reply to Tobias Kortkamp from comment #1)

I have no idea how to convert gitlab staff to download 2 repos.
I dont know python that is why I do not set me as maintainer. :)
Comment 4 Tobias Kortkamp freebsd_committer 2019-05-11 06:09:25 UTC
(In reply to rozhuk.im from comment #3)
> (In reply to Tobias Kortkamp from comment #1)
> 
> I have no idea how to convert gitlab staff to download 2 repos.

The point of switching to the release tarball is to not have to download from
2 repos.  See net-im/fractal and how it sets MASTER_SITES for an example.

> I dont know python that is why I do not set me as maintainer. :)

You seem to know enough Python to be able to create a port of Eolie though.
The GNOME team is understaffed, so not sure if assigning it to gnome@ is
a good idea.  Let's at least CC them.
Comment 5 Alexey Dokuchaev freebsd_committer 2020-11-30 06:57:50 UTC
Actually, we don't have to deal with GitLab at all here, as the author makes traditional bootstrapped releases which include translation bits.  I'll try to get this done.
Comment 6 commit-hook freebsd_committer 2020-11-30 13:47:35 UTC
A commit references this bug:

Author: danfe
Date: Mon Nov 30 13:46:55 UTC 2020
New revision: 556642
URL: https://svnweb.freebsd.org/changeset/ports/556642

Log:
  Add a port of Eolie, simple web browser for GNOME.

  PR:	236183

Changes:
  head/www/Makefile
  head/www/eolie/
  head/www/eolie/Makefile
  head/www/eolie/distinfo
  head/www/eolie/pkg-descr
  head/www/eolie/pkg-plist
Comment 7 Alexey Dokuchaev freebsd_committer 2020-11-30 13:55:39 UTC
Committed as ports r556642, thanks.  I've taken the liberty to fast-forward to the latest version and made other minor changes to the submitted port, e.g. dropped dependency on `devel/py-dateutil' as I don't see where it's being imported in the source code.  Please ping me if I've missed anything in my testing.

After some consideration, I've decided that having gnome@ as maintainer is okay since this port is little more than rather thin wrapper over WebKit and won't cause extra maintenance burden.
Comment 8 rozhuk.im 2020-12-01 01:37:45 UTC
${LOCALBASE}/share/glib-2.0/schemas/org.gnome.settings-daemon.plugins.color.gschema.xml:sysutils/gnome-settings-daemon

Why?
Can it be removed or make as option?
Comment 10 rozhuk.im 2020-12-01 03:19:33 UTC
Created attachment 220129 [details]
remove annoing dep

removes gnome-setting-daemon dep
Comment 11 Alexey Dokuchaev freebsd_committer 2020-12-01 03:31:34 UTC
(In reply to rozhuk.im from comment #8)
> Why?
Because it crashes without it, as you've already found out.

> Can it be removed or make as option?
Yes, it would be nice, but is there a better, leaner way to handle it than "settings = None" as in your patch?  Perhaps we can wait for the upstream fix?
Comment 12 rozhuk.im 2020-12-01 03:37:17 UTC
Ok, lets wait, I hope they fix it.